@extends('layout.app')

@section('left-menu')
    @parent
    @if( auth()->check() )
        @if( auth()->user()->fireStationID != NULL)
            @if(auth()->user()->accessLevel() == 50)
    <ul>
        <a href="/strazacy/add"><li>Dodaj<img src="img/left_menu_icon/add.png"></li></a>
        <a href="/szkolenia"><li><font size="-2">Badania/Szkolenia</font><img src="/img/left_menu_icon/more.png"></li></a>
        @if(auth()->user()->accessLevel() == 50)
            <form id="myForm" action="{{ route('fireFighters.pdfAll') }}" method="post" style="display:inline;">
                {{ csrf_field() }}
                <input type="hidden" class="form-control" name="fireStationID" value="{{auth()->user()->fireStationID}}">
                <li onclick="myForm.submit();">Drukuj wszystkich</li>
            </form>
        @endif
    </ul>
            @endif
        @endif
    @endif
@stop

<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>

    <script type="text/javascript">
        {{--$(document).ready(function () {--}}
        {{--    $('.editbtn').click(function () {--}}
        {{--        var currentTD = $(this).parents('tr').find('td');--}}
        {{--        if ($(this).html() == 'Edytuj') {--}}
        {{--            $.each(currentTD, function () {--}}
        {{--                getElementById("userName{{ $user->id }}".prop('contenteditable', true);--}}
        {{--            });--}}
        {{--        } else {--}}
        {{--            $.each(currentTD, function () {--}}
        {{--                $(this).prop('contenteditable', false)--}}
        {{--            });--}}
        {{--        }--}}

        {{--        $(this).html($(this).html() == 'Edytuj' ? 'Zapisz' : 'Edytuj')--}}

        {{--    });--}}

        {{--});--}}

        function editUser(id){

            document.getElementById("userName"+id).contentEditable = "true";
            document.getElementById("userSurname"+id).contentEditable = "true";
            document.getElementById("userPESEL"+id).contentEditable = "true";
            document.getElementById("userFunction"+id).contentEditable = "true";
            document.getElementById("userDegree"+id).contentEditable = "true";

            document.getElementById("userName"+id).style.backgroundColor = "#e6e6e6";
            document.getElementById("userSurname"+id).style.backgroundColor = "#e6e6e6";
            document.getElementById("userPESEL"+id).style.backgroundColor = "#e6e6e6";
            document.getElementById("userFunction"+id).style.backgroundColor = "#e6e6e6";
            document.getElementById("userDegree"+id).style.backgroundColor = "#e6e6e6";
        }
    </script>

    <script type="text/javascript">
        function test(id){
            document.getElementById("editForm"+id).style.display="block";
        }
    </script>
</head>




@section('center-area')
    @parent
    @if( auth()->check())
        @if( auth()->user()->fireStationID == NULL)
            Jednostka nie istnieje
        @else


            <table class='table'>
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Imię</th>
                        <th>Nazwisko</th>
                        <th>PESEL</th>
                        <th>E-mail</th>
                        <th>Funkcja</th>
                        <th>Stopień</th>
                        <th>Status</th>
                        @if(auth()->user()->accessLevel() == 50)
                        <th>Operacja</th>
                        @endif
                    </tr>
                </thead>

                <tbody>
                    @php
                        $i = 1;
                    @endphp
                    @foreach($users as $user)
                        <tr>
                            <th>{{$i}}</th>
                            <td id="userName{{ $user->id }}">{{ $user->name }}</td>
                            <td id="userSurname{{ $user->id }}">{{ $user->surname }}</td>
                            <td id="userPESEL{{ $user->id }}">{{ $user->PESEL }}</td>
                            <td id="userEmail{{ $user->id }}">{{ $user->email }}</td>
                            <td id="userFunction{{ $user->id }}">  {{$user->unitFunction}} </td>
                            <td id="userDegree{{ $user->id }}"> {{$user->rank}}</td>
                            <td id="userStatus{{ $user->id }}">@if( $user->statusID == 0) Czynny @else Wyłączony @endif</td>
                            @if(auth()->user()->accessLevel() == 50)
                            <td>
                                <a href="{{ URL::asset('strazacy/edit/'.$user->id) }}" class="btn btn-secondary" role="button">Edytuj</a>
                                <a href="{{ URL::asset('strazacy/odznaczenia/'.$user->id) }}" class="btn btn-success" role="button">Odznaczenia</a>

                                <form action="{{ route('fireFighters.pdfSingle') }}" method="post" style="display:inline;">
                                    {{ csrf_field() }}
                                    <input type="hidden" class="form-control" name="userID" value="{{$user->id}}">
                                    <button class="btn btn-dark" type="submit">Drukuj</button>
                                </form>

                                @if( auth()->user()->id != $user->id)
                                    @if ($user->statusID == 0)
                                            <form method="POST" action="/strazacy/deactivate" style="display:inline;">
                                            {{ csrf_field() }}
                                            <input type="hidden" class="form-control" name="userID" value="{{ $user->id }}">
                                            <button style="cursor:pointer" type="submit" class="btn btn-primary">Zawieś</button>
                                            </form>
                                    @elseif ($user->statusID == 1)
                                            <form method="POST" action="/strazacy/activate" style="display:inline;" >
                                            {{ csrf_field() }}
                                            <input type="hidden" class="form-control" name="userID" value="{{ $user->id }}">
                                            <button style="cursor:pointer" type="submit" class="btn btn-primary">Przywróć</button>
                                            </form>
                                    @endif
                                @endif

                            </td>
                             @endif
                        </tr>
                        @php
                            $i++;
                        @endphp
                    @endforeach
                </tbody>
            </table>
            {{ $users->links() }}
        @endif
     @else
        Brak autoryzacji
     @endif


@stop



