@extends('layout.app')

@section('left-menu')
    @parent
    @if( auth()->check() )
        @if( auth()->user()->fireStationID != NULL)
            @if(auth()->user()->accessLevel() == 50)
    <ul>
        <a href="/jednostka/edit"><li>Edytuj<img src="img/left_menu_icon/edit.png"></li></a>

        <form id="myForm" action="{{ route('fireStation.singlePDF') }}" method="post" style="display:inline;">
            {{ csrf_field() }}
            <input type="hidden" class="form-control" name="fireStationID" value="{{auth()->user()->fireStationID}}">
            <li onclick="myForm.submit();">Drukuj informacje</li>
        </form>
    </ul>
            @endif
        @endif
    @endif
@stop

@section('center-area')
    @parent

    @if( auth()->check() )
        @if( auth()->user()->fireStationID == NULL)
            @include('inc.addFireStation')
        @else
            <div>


                <table class="table">
                    <tr>
                        <th>Nazwa</th>
                        <td>{{ $fireStation-> name }}</td>
                    </tr>
                    <tr>
                        <th>Województwo</th>
                        <td>{{ $fireStation-> voivodeship }}</td>
                    </tr>
                    <tr>
                        <th>Powiat</th>
                        <td>{{ $fireStation-> county }}</td>
                    </tr>
                    <tr>
                        <th>Gmina i numer ewidencyjny</th>
                        <td>{{ $fireStation-> community }} {{ $fireStation-> number }}</td>
                    </tr>
                    <tr>
                        <th>Kod pocztowy, Miejscowość</th>
                        <td>{{ $fireStation-> zipCode }} {{ $fireStation-> name }}</td>
                    </tr>
                    <tr>
                        <th>Ulica i numer</th>
                        <td>{{ $fireStation-> address }}</td>
                    </tr>
                    <tr>
                        <th>Szerokość i długość geograficzna</th>
                        <td>{{ $fireStation-> latitude }} | {{ $fireStation-> longitude }}</td>
                    </tr>
                    <tr>
                        <th>KRS</th>
                        <td>{{ $fireStation-> KRS }}</td>
                    </tr>
                    <tr>
                        <th>NIP</th>
                        <td>{{ $fireStation-> NIP }}</td>
                    </tr>
                    <tr>
                        <th>Telefon</th>
                        <td>{{ $fireStation-> phoneNumber }}</td>
                    </tr>
                    <tr>
                        <th>E-mail</th>
                        <td>{{ $fireStation-> email }}</td>
                    </tr>
                </table>

            </div>
            <div>
        @endif
    @else
        Witamy na stronie eOSP! <a href="/login">Zaloguj się</a> lub <a href="/register">Zarejestruj nową jednostkę</a>.
        <div>
    @endif
    </div>
@stop

{{--                    <p><b>Nazwa:</b> {{ $fireStation-> name }}</p>--}}
{{--                    <p><b>Województwo:</b> {{ $fireStation-> voivodeship }}</p>--}}
{{--                    <p><b>Powiat:</b> {{ $fireStation-> county }}</p>--}}
{{--                    <p><b>Gmina i numer ewidencyjny:</b> {{ $fireStation-> community }} {{ $fireStation-> number }}</p>--}}
{{--                    <p><b>Kod pocztowy, Miejscowość:</b> {{ $fireStation-> zipCode }} {{ $fireStation-> name }}</p>--}}
{{--                    <p><b>Ulica i numer:</b> {{ $fireStation-> address }}</p>--}}
{{--                    <p><b>Szerokość i długość geograficzna:</b> {{ $fireStation-> latitude }} | {{ $fireStation-> longitude }}</p>--}}
{{--                    <p><b>KRS:</b> {{ $fireStation-> KRS }}</p>--}}
{{--                    <p><b>NIP:</b> {{ $fireStation-> NIP }}    </p>--}}
{{--                    <p><b>Telefon:</b> {{ $fireStation-> phoneNumber }}</p>--}}
{{--                    <p><b>E-mail:</b> {{ $fireStation-> email }}</p>--}}
{{--                    <hr>--}}
{{--                    <p><b>Liczba członków:</b> {{$users}}</p>--}}
