@extends('layout.app')

@section('left-menu')
    @parent
    <ul>
        <a href="/userprofile/edit"><li>Edytuj profil<img src="/img/left_menu_icon/edit.png"></li></a>
        <a href="/userprofile/szkolenia"><li>Szkolenia<img src="/img/left_menu_icon/more.png"></li></a>
        <a href="/userprofile/odznaczenia"><li>Odznaczenia<img src="/img/left_menu_icon/more.png"></li></a>
        <a href="/userprofile/passwordchange"><li>Zmiana hasła<img src="/img/left_menu_icon/edit.png"></li></a>
    </ul>
@stop

@section('center-area')
    @parent

    @if( auth()->check())

    @if (\Session::has('success'))
    <div class="alert alert-success">
        <ul>
            <li>{!! \Session::get('success') !!}</li>
        </ul>
    </div>
    @endif

            <p align='center'>
            <table class='table'>
                <tr>
                        <th>Imię i nazwisko:</th>
                        <td>{{ $userData->name }} {{ $userData->surname }}</td>
                </tr>
                <tr>
                        <th>Drugie imię:</th>
                        <td>{{ $userData->secondName}}</td>
                </tr>
                <tr>
                        <th>Imię ojca i matki:</th>
                        <td>{{ $userData->fathersName}} {{ $userData->mothersName}}</td>
                </tr>
                <tr>
                        <th>PESEL:</th>
                        <td>{{ $userData->PESEL}}</td>
                </tr>
                <tr>
                        <th>Stopień:</th>
                        <td>{{ $userData->rank}}</td>
                </tr>
                <tr>
                        <th>Funkcja:</th>
                        <td>{{ $userData->unitFunction}}</td>
                </tr>
                <tr>
                        <th>Nr telefonu komórkowego:</th>
                        <td>{{ $userData->phoneNumber}}</td>
                </tr>
                <tr>
                        <th>Telefon domowy:</th>
                        <td>{{ $userData->homePhoneNumber}}</td>
                </tr>
                <tr>
                        <th>Adres e-mail:</th>
                        <td>{{ $userData->email}}</td>
                </tr>
                 <tr>
                        <th>Adres zamieszkania:</th>
                        <td>{{ $userData->address}}</td>
                </tr>
                <tr>
                        <th>Numer domu:</th>
                        <td>{{ $userData->apartment}}</td>
                </tr>
            {{--    <tr>    --}}
            {{--            <th>Numer ewidencyjny:</th> --}}
            {{--            <td>{{ $userData->number}}</td> --}}
             {{--   </tr>   --}}
                <tr>
                        <th>Miejsce urodzenia:</th>
                        <td>{{ $userData->placeOfBirth}}</td>
                </tr>
                <tr>
                        <th>Data wstąpienia do OSP:</th>
                        <td>{{ $userData->joiningOSPDate}}</td>
                </tr>
                <tr>
                        <th>Seria i numer dowodu osobistego:</th>
                        <td>{{ $userData->IDSeries}} {{ $userData->IDNumber}}</td>
                </tr>
                <tr>
                        <th>Dowód osobisty ważny do:</th>
                        <td>{{ $userData->IDValidUntil}}</td>
                </tr>
                <tr>
                        <th>Numer legitymacji członkowskiej:</th>
                        <td>{{ $userData->identityCardNumber}}</td>
                </tr>
                <tr>
                        <th>Prawo jazdy (kategorie):</th>
                        <td>{{ $userData->driversLicense}}</td>
                </tr>
                <tr>
                        <th>Wykształcenie:</th>
                        <td>{{ $userData->education}}</td>
                </tr>
                <tr>
                        <th>Zawód wyuczony:</th>
                        <td>{{ $userData->profession}}</td>
                </tr>
            </table>
        </p>
     @else
        Brak autoryzacji
     @endif

@stop
