@extends('layout.app')

@section('left-menu')
    @parent
    <ul>
        <a href="/userprofile"><li>Mój profil<img src="/img/left_menu_icon/edit.png"></li></a>
        <a href="/userprofile/szkolenia"><li>Szkolenia<img src="/img/left_menu_icon/more.png"></li></a>
        <a href="/userprofile/odznaczenia"><li>Odznaczenia<img src="/img/left_menu_icon/more.png"></li></a>
        <a href="/userprofile/passwordchange"><li>Zmiana hasła<img src="/img/left_menu_icon/edit.png"></li></a>
    </ul>
@stop

@section('center-area')
    @parent
    <form method="POST" action="/userprofile/edit">
        {{ csrf_field() }}

        <input type="hidden" class="form-control" name="userID" value="{{ $userData->id }}">
        <div class="form-group">
            <label for="name">Imię:</label>
            <input type="text" class="form-control" id="name" name="name" value="{{ $userData->name }} ">
        </div>

        <div class="form-group">
            <label for="amount">Nazwisko:</label>
            <input type="text" class="form-control" id="surname" name="surname" value="{{ $userData->surname }}">
        </div>

        <div class="form-group">
            <label for="parameter">Drugie imię:</label>
            <input type="text" class="form-control" id="secondName" name="secondName" value="{{ $userData->secondName }}">
        </div>

        <div class="form-group">
            <label for="parameter">Imię ojca:</label>
            <input type="text" class="form-control" id="fathersName" name="fathersName" value="{{ $userData->fathersName }}">
        </div>

        <div class="form-group">
            <label for="parameter">Imię matki:</label>
            <input type="text" class="form-control" id="mothersName" name="mothersName" value="{{ $userData->mothersName }}">
        </div>

        <div class="form-group">
            <label for="parameter">PESEL:</label>
            <input type="text" class="form-control" id="PESEL" name="PESEL" value="{{ $userData->PESEL }}">
        </div>

        <div class="form-group">
            <label for="parameter">Numer telefonu komórkowego:</label>
            <input type="text" class="form-control" id="phoneNumber" name="phoneNumber" value="{{ $userData->phoneNumber }}">
        </div>

        <div class="form-group">
            <label for="parameter">Telefon domowy:</label>
            <input type="text" class="form-control" id="homePhoneNumber" name="homePhoneNumber" value="{{ $userData->homePhoneNumber }}">
        </div>

        <div class="form-group">
            <label for="parameter">Adres e-mail:</label>
            <input type="email" class="form-control" id="email" name="email" value="{{ $userData->email }}">
        </div>

        <div class="form-group">
            <label for="parameter">Adres zamieszkania:</label>
            <input type="text" class="form-control" id="address" name="address" value="{{ $userData->address }}">
        </div>

        <div class="form-group">
            <label for="parameter">Numer domu:</label>
            <input type="text" class="form-control" id="apartment" name="apartment" value="{{ $userData->apartment }}">
        </div>

        <div class="form-group">
            <label for="parameter">Miejsce urodzenia:</label>
            <input type="text" class="form-control" id="placeOfBirth" name="placeOfBirth" value="{{ $userData->placeOfBirth }}">
        </div>

        <div class="form-group">
            <label for="parameter">Data wstąpienia do OSP:</label>
            <input type="date" class="form-control" id="joiningOSPDate" name="joiningOSPDate" value="{{ $userData->joiningOSPDate }}">
        </div>

        <div class="form-group">
            <label for="parameter">Seria dowodu osobistego:</label>
            <input type="text" class="form-control" id="IDSeries" name="IDSeries" value="{{ $userData->IDSeries }}">
        </div>

        <div class="form-group">
            <label for="parameter">Numer dowodu osobistego:</label>
            <input type="text" class="form-control" id="IDNumber" name="IDNumber" value="{{ $userData->IDNumber }}">
        </div>

        <div class="form-group">
            <label for="parameter">Dowód osobisty ważny do:</label>
            <input type="date" class="form-control" id="IDValidUntil" name="IDValidUntil" value="{{ $userData->IDValidUntil }}">
        </div>

        <div class="form-group">
            <label for="parameter">Numer legitymacji członkowskiej:</label>
            <input type="text" class="form-control" id="identityCardNumber" name="identityCardNumber" value="{{ $userData->identityCardNumber }}">
        </div>

        <div class="form-group">
            <label for="parameter">Prawo jazdy (kategorie):</label>
            <input type="text" class="form-control" id="driversLicense" name="driversLicense" value="{{ $userData->driversLicense }}">
        </div>

        <div class="form-group">
            <label for="parameter">Wykształcenie:</label>
            <input type="text" class="form-control" id="education" name="education" value="{{ $userData->education }}">
        </div>

        <div class="form-group">
            <label for="parameter">Zawód wyuczony:</label>
            <input type="text" class="form-control" id="profession" name="profession" value="{{ $userData->profession }}">
        </div>

		<div class="form-group">
            <button style="cursor:pointer" type="submit" class="btn btn-primary">Zapisz</button>
        </div>
        @include('inc.formerrors')
    </form>
@stop
