@extends('layout.app')
@section('center-area')
    @parent

    @if( auth()->check())
        @if( auth()->user()->fireStationID == NULL)
            Jednostka nie istnieje
        @else
            <form method="POST" action="/dokumentacja/wniosek_o_nadanie/pdf">
                {{ csrf_field() }}
                <div class="form-group row">
                    <div class="col-auto">
                        <label for="location">Wnioskujacy:</label>
                        <select name="fireFighterID" class="form-control">
                            <option value="">--- Wybierz strażaka ---</option>
                            @foreach ($fireFighters as $fireFighter)
                                    <option value="{{$fireFighter->id}}">{{ $fireFighter->name }} {{$fireFighter->surname }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <label for="decoration">Wybierz odznaczenie:</label>
                    <select name="decoration" class="form-control" style="width:300px">
                        <option value="">--- Wybierz odznaczenie ---</option>
                        @foreach ($decoration as $key => $value)
                            @if(Illuminate\Support\Facades\Input::old('decoration') == $key)
                                <option value="{{ $value }}" selected >{{ $value }}</option>
                            @else
                                <option value="{{ $value }}">{{ $value }}</option>
                            @endif
                        @endforeach
                    </select>
                </div>

                <div class="form-group">
                    <button style="cursor:pointer" type="submit" class="btn btn-primary">Drukuj</button>
                </div>
                @include('inc.formerrors')
            </form>
        @endif
    @else
        Brak autoryzacji
    @endif

@stop
