@extends('layout.app')

@section('left-menu')
    @parent
    <ul>
        <a href="/userprofile"><li>Mój profil<img src="/img/left_menu_icon/edit.png"></li></a>
        <a href="/userprofile/edit"><li>Edytuj profil<img src="/img/left_menu_icon/edit.png"></li></a>
        <a href="/userprofile/odznaczenia"><li>Odznaczenia<img src="/img/left_menu_icon/more.png"></li></a>
        <a href="/userprofile/passwordchange"><li>Zmiana hasła<img src="/img/left_menu_icon/edit.png"></li></a>
    </ul>
@stop

@section('center-area')
    @parent

    @if( auth()->check())

            <p align='center'>
            <table class='table'>
                <thead>
                    <th>Szkolenie</th>
                    <th>Data ukończenia</th>
                    <th>Data ważności</th>
                </thead>

                <tbody>
                    @foreach($userTrainings as $userTraining)
                        <tr>
                            <td id="trainingName{{ $userTraining->id }}">{{ $userTraining->trainingName }}</td>
                            <td id="dateOfComplete{{ $userTraining->id }}">{{ $userTraining->dateOfComplete }}</td>
                            <td id="dateOfExpiry{{ $userTraining->id }}">{{ $userTraining->dateOfExpiry }}</td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </p>
     @else
        Brak autoryzacji
     @endif

@stop
